# Copyright (C) 2022 Ingo Ruhnke <grumbel@gmail.com>
#
# This software is provided 'as-is', without any express or implied
# warranty.  In no event will the authors be held liable for any damages
# arising from the use of this software.
#
# Permission is granted to anyone to use this software for any purpose,
# including commercial applications, and to alter it and redistribute it
# freely, subject to the following restrictions:
#
# 1. The origin of this software must not be misrepresented; you must not
#    claim that you wrote the original software. If you use this software
#    in a product, an acknowledgment in the product documentation would be
#    appreciated but is not required.
# 2. Altered source versions must be plainly marked as such, and must not be
#    misrepresented as being the original software.
# 3. This notice may not be removed or altered from any source distribution.

include(GNUInstallDirs)
include(GetProjectVersion)
include(InstallWithWrapper)
include(ClangTidy)
include(tinycmmc/MaximumWarnings)
include(tinycmmc/FindDependency)
include(tinycmmc/ExportAndInstallLibrary)

WarningsWerrorOptions()

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/tests)
  option(BUILD_TESTS "Build test cases" OFF)
endif()

if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/extra)
  option(BUILD_EXTRA "Build extra stuff" OFF)
endif()

# EOF #
